Loading...
Searching...
No Matches
OgreMaterialManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreResourceManager.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::MaterialManager
| Class for managing Material settings for Ogre. More...
class | Ogre::MaterialManager::Listener
| Listener on any general material events. More...

## Namespaces

namespace | Ogre

## Variables

_OgreExport const String | Ogre::MSN_DEFAULT
| Default material scheme name.
_OgreExport const String | Ogre::MSN_SHADERGEN
| Material scheme of the shader generator.
_OgreExport const String | Ogre::MSN_SHADOWCASTER
| Material scheme for shadow casters.